flex-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Alex Harui <aha...@adobe.com>
Subject Re: Error message after update to 4.10
Date Sun, 11 Aug 2013 07:26:16 GMT
IIRC, this is a JVM issue.  What version of Java are you running and on
what OS?

-Alex

On 8/10/13 9:30 PM, "Thiago Maia" <a00s@a00s.com> wrote:

>I installed Flash 11.8, and run the Eclipse as administrator, and the
>error in the simple project disappear. In the complex progect, still
>hacing error.
>
>thanks
>> Hello Om
>>
>>      Thanks for your message.
>>       Yes, I used the Flex SDK Installer, I also select all options,
>> the installation was perfect with no errors.
>>       I Just tried to create a new project just having one mxml and no
>> server, it create automaticaly this file below. The same happen, 4.10
>> the same message and 4.9 it works.
>>       I guess everybody else could make a project without problems so
>> this must be a problem with my setup.
>>
>> thanks
>>
>> Thiago
>>
>>
>> <?xml version="1.0" encoding="utf-8"?>
>> <s:Application xmlns:fx="http://ns.adobe.com/mxml/2009"
>>                xmlns:s="library://ns.adobe.com/flex/spark"
>>                xmlns:mx="library://ns.adobe.com/flex/mx"
>> minWidth="955" minHeight="600">
>> </s:Application>
>>
>>> Thiago,
>>>
>>> Did you install using the Apache Flex SDK Installer?  If so, did you
>>> select
>>> the optional "Remoting Support" component during the installation?
>>>
>>> Thanks,
>>> Om
>>>
>>> On Sat, Aug 10, 2013 at 8:24 PM, Thiago Maia <a00s@a00s.com> wrote:
>>>
>>>> Hello
>>>>
>>>>       I installed the Flex 4.10, but I keep having a message error,
>>>> I not
>>>> sure if this error is related with my project or the compiler. But
>>>>just
>>>> happen when I select Flex 4.10, If I use Flex 4.9 it works.
>>>>
>>>> Im using Eclipse Juno+Flex 4.10+Blazeds
>>>>
>>>> Thanks a lot
>>>>
>>>> The error message from Eclipse is this
>>>>
>>>> Severity: Error
>>>>
>>>> Message: Uncaught exception in compiler
>>>>
>>>> Session Data:
>>>> eclipse.buildId=M20130204-1200
>>>> java.version=1.7.0_21
>>>> java.vendor=Oracle Corporation
>>>> BootLoader constants: OS=win32, ARCH=x86_64, WS=win32, NL=en_US
>>>> Framework arguments:  -product org.eclipse.epp.package.jee.**product
>>>> Command-line arguments:  -os win32 -ws win32 -arch x86_64 -product
>>>> org.eclipse.epp.package.jee.**product
>>>>
>>>> Exception Stack Trace:
>>>> java.lang.**IllegalArgumentException: Comparison method violates its
>>>> general contract!
>>>>      at java.util.TimSort.mergeHi(**Unknown Source)
>>>>      at java.util.TimSort.mergeAt(**Unknown Source)
>>>>      at java.util.TimSort.**mergeCollapse(Unknown Source)
>>>>      at java.util.TimSort.sort(Unknown Source)
>>>>      at java.util.TimSort.sort(Unknown Source)
>>>>      at java.util.Arrays.sort(Unknown Source)
>>>>      at flex2.compiler.swc.SwcGroup.**updateMaps(SwcGroup.java:281)
>>>>      at flex2.compiler.swc.SwcGroup.<**init>(SwcGroup.java:67)
>>>>      at flex2.compiler.swc.SwcCache.**getSwcGroup(SwcCache.java:109)
>>>>      at flex2.compiler.swc.SwcCache.**getSwcGroup(SwcCache.java:91)
>>>>      at flex2.compiler.**CompilerSwcContext.load(**
>>>> CompilerSwcContext.java:96)
>>>>      at 
>>>> flex2.tools.oem.Application.**recompile(Application.java:**1170)
>>>>      at flex2.tools.oem.Application.**compile(Application.java:894)
>>>>      at flex2.tools.flexbuilder.**BuilderApplication.compile(**
>>>> BuilderApplication.java:367)
>>>>      at com.adobe.flexbuilder.**multisdk.compiler.internal.**
>>>> 
>>>>ASApplicationBuilder$**MyBuilder.mybuild(**ASApplicationBuilder.java:30
>>>>9) 
>>>>
>>>>      at com.adobe.flexbuilder.**multisdk.compiler.internal.**
>>>> ASApplicationBuilder.build(**ASApplicationBuilder.java:128)
>>>>      at com.adobe.flexbuilder.**multisdk.compiler.internal.**
>>>> ASBuilder.build(ASBuilder.**java:203)
>>>>      at com.adobe.flexbuilder.**multisdk.compiler.internal.**
>>>> ASItemBuilder.build(**ASItemBuilder.java:93)
>>>>      at com.adobe.flexbuilder.project.**compiler.internal.**
>>>> FlexProjectBuilder.buildItem(**FlexProjectBuilder.java:708)
>>>>      at com.adobe.flexbuilder.project.**compiler.internal.**
>>>> FlexProjectBuilder.build(**FlexProjectBuilder.java:412)
>>>>      at com.adobe.flexbuilder.project.**compiler.internal.**
>>>> FlexIncrementalBuilder.build(**FlexIncrementalBuilder.java:**171)
>>>>      at org.eclipse.core.internal.**events.BuildManager$2.run(**
>>>> BuildManager.java:726)
>>>>      at 
>>>>org.eclipse.core.runtime.**SafeRunner.run(SafeRunner.**java:42)
>>>>      at org.eclipse.core.internal.**events.BuildManager.**
>>>> basicBuild(BuildManager.java:**199)
>>>>      at org.eclipse.core.internal.**events.BuildManager.**
>>>> basicBuild(BuildManager.java:**239)
>>>>      at org.eclipse.core.internal.**events.BuildManager$1.run(**
>>>> BuildManager.java:292)
>>>>      at 
>>>>org.eclipse.core.runtime.**SafeRunner.run(SafeRunner.**java:42)
>>>>      at org.eclipse.core.internal.**events.BuildManager.**
>>>> basicBuild(BuildManager.java:**295)
>>>>      at org.eclipse.core.internal.**events.BuildManager.**
>>>> basicBuildLoop(BuildManager.**java:351)
>>>>      at org.eclipse.core.internal.**events.BuildManager.build(**
>>>> BuildManager.java:374)
>>>>      at org.eclipse.core.internal.**events.AutoBuildJob.doBuild(**
>>>> AutoBuildJob.java:143)
>>>>      at org.eclipse.core.internal.**events.AutoBuildJob.run(**
>>>> AutoBuildJob.java:241)
>>>>      at org.eclipse.core.internal.**jobs.Worker.run(Worker.java:**53)
>>>>
>>>>
>>>>
>>>>
>>
>>
>
>


Mime
View raw message